Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 452562

Summary: When switching VT (e.g. to gdm), monitor never turns off
Product: [Fedora] Fedora Reporter: Reid Rivenburgh <rivenburgh>
Component: xorg-x11-drv-nvAssignee: Adam Jackson <ajax>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: low    
Version: 9CC: mcepl, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 17:44:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
xorg.conf
none
Xorg.0.log none

Description Reid Rivenburgh 2008-06-23 18:30:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9) Gecko/2008052906 Firefox/3.0

Description of problem:
I run a setup at home where I'm always logged in and use gdmflexiserver to switch to the gdm greeter when I step away from the computer.  I also have a process running that will do the same if I've been idle for a period of time, in case I forget.  I would like the monitor to turn off after a short time at the gdm greeter display; there's no need to keep it on for long.  The problem is that when I use gdmflexiserver to go to the gdm greeter, I have to hit a key or move the mouse in order for DPMS to function.  If I don't do that, the monitor never turns off.  This is a problem when I'm not there and gdmflexiserver was run automatically.

My guess is that the gdm display has its own idea of the monitor state; its display has been idle for a long time, so it never hits the DPMS threshold for turning off the monitor.  Moving the mouse resets that counter back to zero, so it gets a fresh start.  If I'm correct, maybe a VT change should reset such counters on the destination display.  I have no idea if I'm correct, of course....  I don't know of any scriptable way to workaround this (which I could run as part of my idle-checking process).  It'd be nice if "xset dpms force off" worked, but I haven't been successful with that.


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.4.99.902-3.20080612.fc9.x86_64 

How reproducible:
Always


Steps to Reproduce:
1.From gdm greeter, login.
2.Wait awhile.
3.Run gdmflexiserver to return to gdm greeter.

Actual Results:
Monitor never turns off.

Expected Results:
Monitor should turn off after awhile without me having to move the mouse or press a key.

Additional info:

Comment 1 Matěj Cepl 2008-06-23 21:54:51 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Reid Rivenburgh 2008-06-24 01:14:43 UTC
Created attachment 310092 [details]
xorg.conf

Comment 3 Reid Rivenburgh 2008-06-24 01:16:09 UTC
Created attachment 310094 [details]
Xorg.0.log

Log for display 0, which I hope is enough.

Comment 4 Reid Rivenburgh 2008-06-24 01:18:37 UTC
I've attached the requested files.  

If it helps you or anyone reading this, here is my script for running
gdmflexiserver and turning off the monitor.  It's crude and overkill, but it
seems to work (but note I'm using sudo to access the xauth files).  There has to
be a better way....

#!/bin/bash

gdmflexiserver
sleep 10

# Try all combinations of gdm xauth files and DISPLAYs.  Overkill, but 
# works.... 
for file in $( ls /var/run/gdm );
do
   for (( i=0; i<10; i++ ));
   do
      sudo XAUTHORITY=/var/run/gdm/$file xset -display :$i dpms force off
   done
done


Comment 5 Bug Zapper 2009-06-10 01:44:43 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-07-14 17:44:24 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.